Everything succeeds, but because [ -z ${CI_COMMIT_TAG} ] on the last line returns non-zero, it
fails the job.
- echo -e "Host github.com\n\tStrictHostKeyChecking no\n" >> ~/.ssh/config
- git remote remove github &>/dev/null || true
- git remote add github git@github.com:espressif/esp-idf.git
- # Need separate push commands for tag builds and for branch builds
- - "[ -n \"${CI_COMMIT_TAG}\" ] && git push github ${CI_COMMIT_TAG}"
- - "[ -z \"${CI_COMMIT_TAG}\" ] && git push github ${CI_COMMIT_SHA}:refs/heads/${CI_COMMIT_REF_NAME}"
+ - tools/ci/push_to_github.sh
deploy_docs:
stage: host_test
tools/ci/get-full-sources.sh
tools/ci/mirror-submodule-update.sh
tools/ci/mirror-synchronize.sh
+tools/ci/push_to_github.sh
tools/ci/test_build_system.sh
tools/ci/test_configure_ci_environment.sh
tools/esp_app_trace/apptrace_proc.py
--- /dev/null
+#!/bin/bash
+
+# gitlab-ci script to push current tested revision (tag or branch) to github
+
+set -ex
+
+if [ -n "${CI_COMMIT_TAG}" ]; then
+ # for tags
+ git push github "${CI_COMMIT_TAG}"
+else
+ # for branches
+ git push github "${CI_COMMIT_SHA}:refs/heads/${CI_COMMIT_REF_NAME}"
+fi
+